#include <bits/stdc++.h>
#define int long long
using namespace std;

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int t;
    cin >>t;
    for (;t>0;--t){
        int n,m;
        cin >>m >>n;
        vector <int> x(n);
        for (int i=0; i<n; ++i){
            cin >>x[i];
        }
            int it=(m-1)*x[0];
            if ((n-m+1)%2==1){
                it+=x[0];
            }
            cout <<it <<'\n';
        
    }
}
